org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryManager.JCacheQueryRemoteFilter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryManager.JCacheQueryRemoteFilter

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.event.CacheEntryEventFilter, CacheEntryEventSerializableFilter

Enclosing class:
  CacheContinuousQueryManager

    protected static class CacheContinuousQueryManager.JCacheQueryRemoteFilter
    extends Object
    implements CacheEntryEventSerializableFilter, Externalizable

For handler version 2.0 this filter should not be serialized.

See Also:
  Serialized Form

### Field Summary

Fields
`protected javax.cache.event.CacheEntryEventFilter` `impl`

### Constructor Summary

Constructors
Constructor and Description
`JCacheQueryRemoteFilter()` For `Externalizable`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `async()`
`boolean` `evaluate(javax.cache.event.CacheEntryEvent evt)`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### impl

    protected javax.cache.event.CacheEntryEventFilter impl

### Constructor Detail

#### JCacheQueryRemoteFilter

    public JCacheQueryRemoteFilter()

For `Externalizable`.

### Method Detail

#### evaluate

    public boolean evaluate(javax.cache.event.CacheEntryEvent evt)

Specified by:
  `evaluate` in interface `javax.cache.event.CacheEntryEventFilter`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### async

    protected boolean async()

Returns:
  `True` if filter should be executed in non-system thread.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018